Bug 235953 - denied avc's - create_floppy_d name="fd0u830" scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:object_r:default_t:s0 tclass=blk_file
denied avc's - create_floppy_d name="fd0u830" scontext=system_u:system_r:udev...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-10 20:57 EDT by Antonio A. Olivares
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: udev-106-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 06:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete dmesg and where the udev references ocurr (24.33 KB, text/plain)
2007-04-10 20:57 EDT, Antonio A. Olivares
no flags Details

  None (edit)
Description Antonio A. Olivares 2007-04-10 20:57:01 EDT
Description of problem:

At bootup, I get a message about a denied avc 

 audit(1176209974.281:4): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u1440"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:5): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u1680"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:6): avc:  denied  { create } for  pid=991
comm="cIreate_floppy_d" name="fd0u1722"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:7): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u1743"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:8): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u1760"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:9): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u1920"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:10): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u1840"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:11): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u1600"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:12): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u360"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:13): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u720"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:14): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u820"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:15): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u830"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:16): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u1040"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:17): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u1120"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file
 audit(1176209974.281:18): avc:  denied  { create } for  pid=991
comm="create_floppy_d" name="fd0u800"
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023
tcontext=system_u:object_r:default_t:s0 tclass=blk_file

Version-Release number of selected component (if applicable):
[olivares@localhost ~]$ rpm -qa udev*
udev-106-1.fc7
[olivares@localhost ~]$

How reproducible:
   At startup, when booting the machine, the denied avc's show up.  It shows a
udev part "udev_t:s0-s0:c0.c1023".  I asked on fedora-selinux-list@redhat.com
and was asked to post this as a bug.  

Steps to Reproduce:
1.  Boot up computer and get into view messages at startup or remove rhgb from
the grub.conf to see the messages 
2.  If you do not see the message or it goes very fast, run dmesg from the
terminal window.  
3.  Start it again and look for it, it should be there
  
Actual results:


Expected results:


Additional info:
Comment 1 Antonio A. Olivares 2007-04-10 20:57:01 EDT
Created attachment 152190 [details]
complete dmesg and where the udev references ocurr

Note You need to log in before you can comment on or make changes to this bug.